<div class="wrapper" *ngIf="(vm$ | async) as vm">
    <div class="row" *ngFor="let item of vm.data; trackBy: trackById">
        <div class="cell" *ngFor="let column of vm.columns; trackBy: _trackByKey">
            <ng-container *ngIf="column?.column?.renderer != 'custom'; else elseTemplate" [ngTemplateOutlet]="vm.templateMapper[column?.column.renderer]?.template" [ngTemplateOutletContext]="{$implicit: item, column: column.column}"></ng-container>
            <ng-template #elseTemplate [ngTemplateOutlet]="column?.column?.rendererParams?.template" [ngTemplateOutletContext]="{$implicit: item, column: column.column}"></ng-template>
            <!-- {{ column.column.renderer }}
            {{ vm.templateMapper.default.template?.column}} -->
        </div>
    </div>
</div>
